Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_DirectoryGroup

    java.lang.Object
      oracle.ifs.server.S_LibraryObject
          oracle.ifs.server.S_TieLibraryObject
              oracle.ifs.server.S_PublicObject
                  oracle.ifs.server.S_TiePublicObject
                      oracle.ifs.server.S_DirectoryObject
                          oracle.ifs.server.S_TieDirectoryObject
                              oracle.ifs.server.S_DirectoryGroup

All Implemented Interfaces:
  DirectoryObjectInterface, IfsEventHandler, LibraryObjectInterface, PublicObjectInterface, Traceable

Direct Known Subclasses:
  S_TieDirectoryGroup

    public class S_DirectoryGroup

extends S_TieDirectoryObject

A S_DirectoryGroup is the server-side representation of a group of users and/or other groups.

(Published)

Nested Class Summary
`protected class` | `S_DirectoryGroup.MemberSet` Manage a set of members.

Nested classes/interfaces inherited from class oracle.ifs.server.S_DirectoryObject
`S_DirectoryObject.AncestorSet`

Field Summary
`protected static long` | `WORLDGROUP_ID` ID of the WORLD group.

Fields inherited from class oracle.ifs.server.S_PublicObject
`ACL_ATTRIBUTE, CLASS_NAME, CREATEDATE_ATTRIBUTE, CREATOR_ATTRIBUTE, DELETOR_ATTRIBUTE, EXPIRATIONDATE_ATTRIBUTE, FAMILY_ATTRIBUTE, LASTMODIFIER_ATTRIBUTE, LASTMODIFYDATE_ATTRIBUTE, NAME_ATTRIBUTE, OWNER_ATTRIBUTE, POLICY_ENUM_EXTENDEDFREE_IGNORE_OWNERSHIP, POLICY_ENUM_EXTENDEDFREE_INVALID_VALUE, POLICY_ENUM_EXTENDEDFREE_REQUIRE_ADMIN, POLICYBUNDLE_ATTRIBUTE, RESOLVED_OBJECT_ATTRIBUTE, SECURINGPUBLICOBJECT_ATTRIBUTE`

Fields inherited from class oracle.ifs.server.S_LibraryObject
`CASCADE_OP_COPY_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_COPY_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_DELETE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_DELETE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_DELETE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_DELETE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_DELETE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_DELETE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_DELETE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_DELETE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_DELETE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_DELETE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_FREE_CATEGORY_TO_PUBLICOBJECT, CASCADE_OP_FREE_CATEGORY_TO_SCHEMAOBJECT, CASCADE_OP_FREE_CATEGORY_TO_SYSTEMOBJECT, CASCADE_OP_FREE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_FREE_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_FREE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_FREE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_FREE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_FREE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_FREE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_FREE_SCHEMAOBJECT_TO_CATEGORY, CASCADE_OP_FREE_SYSTEMOBJECT_TO_CATEGORY, CASCADE_OP_FREE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_FREE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_FREE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_FREE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_UNDEFINED, CASCADE_OP_UNDELETE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_UNDELETE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_UNDELETE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_UNDELETE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_UNDELETE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_UNDELETE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_UNDELETE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_UPDATE_CATEGORY_TO_PUBLICOBJECT, CASCADE_OP_UPDATE_CATEGORY_TO_SCHEMAOBJECT, CASCADE_OP_UPDATE_CATEGORY_TO_SYSTEMOBJECT, CASCADE_OP_UPDATE_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_UPDATE_SCHEMAOBJECT_TO_CATEGORY, CASCADE_OP_UPDATE_SYSTEMOBJECT_TO_CATEGORY, DEFAULT_RENDERER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `S_DirectoryGroup(S_LibrarySession session, java.lang.Long classId)` Constructs an S_DirectoryGroup for the case where the object has not been created in the database yet.
`protected` | `S_DirectoryGroup(S_LibrarySession session, S_LibraryObjectData data)` Constructs an S_DirectoryGroup.

Method Summary
`protected void` | `addMember(S_DirectoryObject member)` Adds a member to the group.
`void` | `addMember(S_DirectoryObject member, S_LibraryObjectDefinition sdef)` Adds a member to a group, using a definition to define the membership relationship.
`void` | `addMembers(S_DirectoryObject[] members)` Adds members to the group.
`void` | `addMembers(S_DirectoryObject[] members, S_LibraryObjectDefinition reldef)` Adds members to the group.
`protected boolean` | `canUseContentQuota(S_ContentQuota quota)` Returns true if the current user can use the specified ContentQuota object.
`protected void` | `checkQuotaSpecification(S_LibraryObjectDefinition def)` Checks to see if ContentQuota is specified in the definition.
`protected void` | `deriveDefinition(S_LibraryObjectDefinition def)` Adds to the S_LibraryObjectDefinition for this class.
`java.io.Serializable` | `DYNUpdateOwnerBypassUniquenessCheck(java.io.Serializable payload)` Updates the owner and clears the ownerUniqueName attribute.
`void` | `enforceNameUniquenessByOwner(S_LibraryObjectDefinition def)` Perform name uniqueness enforcement, by owner.
`protected void` | `extendedPreFree(OperationState opState, S_LibraryObjectDefinition def)` Performs operations before freeing an object.
`protected void` | `extendedPreInsert(OperationState opState, S_LibraryObjectDefinition def)` Updates any system attributes appropriate for creating this object; in this case, invoke a name uniqueness enforcement method if specified by a Policy.
`protected void` | `extendedPreUpdate(OperationState opState, S_LibraryObjectDefinition def)` Update any system attributes appropriate for updating this ACL
`protected java.lang.Long[]` | `getAllMemberIds()` Gets the set of all IDs that are members (direct or indirect) of this group.
`S_DirectoryObject[]` | `getAllMembers()` Gets all members of the group, direct or indirect.
`protected java.lang.Long[]` | `getAllUserMemberIds()` Gets the set of all IDs that are user members (direct or indirect) of this group.
`S_DirectoryObject[]` | `getAllUserMembers()` Gets all user members of the group, direct or indirect.
`S_ContentQuota` | `getContentQuota()` Gets the S_ContentQuota for this object.
`java.lang.Long[]` | `getDirectMemberIds()` Gets the direct members of this group.
`S_DirectoryObject[]` | `getDirectMembers()` Gets the direct members of this DIRECTORYOBJECT.
`static S_DirectoryGroup` | `getWorldDirectoryGroup(S_LibrarySession session)` Gets the DirectoryGroup that represents World access.
`boolean` | `isDirectMember(S_DirectoryObject obj)` Determines if the specified DirectoryObject is a direct member of the group.
`boolean` | `isMember(S_DirectoryObject obj)` Determines if the specified DirectoryObject is a member of the group.
`protected boolean` | `isWorldGroup()` Determines if this group is the world group.
`void` | `removeMember(S_DirectoryObject member)` Removes a member from the group.
`void` | `removeMember(S_DirectoryObject member, boolean bypass)` Removes a member from the group.
`void` | `removeMembers(S_DirectoryObject[] members)` Removes members from the group.
`void` | `removeMembers(S_DirectoryObject[] members, boolean bypass)` Removes members from a group.
`protected void` | `verifyCanAddMember()` Verifies that members can be added to the group.
`protected void` | `verifyCanBeMember()` Verifies that this instance can be a member of a group.
`protected void` | `verifyCanRemoveMember()` Verifies that members can be removed from the group.

Methods inherited from class oracle.ifs.server.S_DirectoryObject
`addAncestorsToSet, constructDirectoryObjectArray, extendedPostFree, extendedPostInsert, getAllAncestorIds, getAllAncestors, getAllMembersIds, getCredentialManager, getDirectAncestorIds, getDirectAncestors, getDistinguishedName, vectorToSDirectoryObjectArray`

Methods inherited from class oracle.ifs.server.S_PublicObject
`addCategory, addRelationship, addRelationship, cascadeCopy, cascadeDelete, cascadeFree, cascadeUndelete, checkAccess, constructPublicObjectArray, createCategories, createDefaultPolicyPropertyBundle, createDefaultPropertyBundle, delete, delete, determineResolvedObject, DYNReplaceCreator, DYNReplaceDeletor, DYNReplaceModifier, extendedPostDelete, extendedPostUndelete, extendedPostUpdate, extendedPreCopy, extendedPreDelete, extendedPreUndelete, forceSecuredObjectsToClear, freeIfNoFolderReferences, freeNonsharedAcl, freeNonsharedLockObject, getAcl, getAllFolderPaths, getAllFolderPaths, getAllFolderPaths, getAllFolderPaths, getAllLeftRelationships, getAllRightRelationships, getAnyFolderPath, getAnyFolderPath, getAnyFolderPath, getAnyFolderPath, getAuditEventFolderContext, getCategories, getCategories, getCategories, getCategory, getConsumedStorage, getDefaultAclFromUserProfile, getFamily, getFlags, getLeftRelationships, getLeftwardRelationshipDatas, getLeftwardRelationshipDatas, getLeftwardRelationshipObjectDatas, getLeftwardRelationshipObjectDatas, getLeftwardRelationshipObjects, getLeftwardRelationshipObjects, getLeftwardRelationships, getLeftwardRelationships, getLeftwardRelationshipsCount, getLeftwardRelationshipsCount, getLinkIds, getLinks, getLockedForSessionId, getLockObject, getOwner, getPrimaryParentFolder, getPropagatedSecurityAttributeNames, getPropagatedSecurityColumnNames, getReferencingFolderIds, getReferencingFolders, getResolvedObject, getRightRelationships, getRightwardRelationshipDatas, getRightwardRelationshipDatas, getRightwardRelationshipObjectDatas, getRightwardRelationshipObjectDatas, getRightwardRelationshipObjects, getRightwardRelationshipObjects, getRightwardRelationships, getRightwardRelationships, getSpecificLeftRelationships, getSpecificRightRelationships, getVersionDescriptions, handleCascade, handleExtendedFreePolicy, hasNameAttribute, invokeLockingPolicy, isAuditCertificateSecured, isDeleted, isLocked, isLockedForSession, isLockedForSessionByCurrentSession, isLockObjectEnabled, isLockObjectEnabled, isOwner, isVersionable, postCreateAddToFolder, postDelete, postSecurityChangeAuditEvent, postUndelete, preDelete, preUndelete, propagateFreeIfNoFolderReferences, propagateNameChanges, propagateSecurityChanges, propogateSettingsToProxyService, putProperty, reassociateLinks, relationshipExists, removeRelationship, removeRelationship, removeRowFromAclProxyIfSecured, resolveACLSetting, resolveResolvedObject, resolveSecuredBySettings, signalLeftRelationshipFreed, signalRightRelationshipFreed, undelete, undelete, unlockForSession, updateFamily, updateLastModifiedInfo, updatePrimaryParentFolder, vectorToSPublicObjectArray, verifyCanAddRelationship, verifyCanCreate, verifyCanFree, verifyCanLock, verifyCanRemoveRelationship, verifyCanSetPolicy, verifyCanUnlock, verifyCanUpdate, verifyCanUseContentQuota, verifyGrantAccess, verifyObjectNotLocked, verifyObjectNotLocked, verifyPublicObjectPermission`

Methods inherited from class oracle.ifs.server.S_LibraryObject
`applyValueDefault, associatedPostFree, associatedPostInsert, associatedPreInsert, cascadeUpdate, checkRequiredForInsert, checkSettable, clearArrayTypeAttributeValues, clonePublicObjectAttribute, constructIdArray, constructIdArray, copy, copy, copyVectorToLibraryObjectArray, createInstance, deleteRows, deriveOwnerUniqueName, deriveOwnerUniqueName, deriveUppercasedAttribute, determineClassDomain, determinePolicy, determinePolicy, determineValueDefault, determineValueDomain, dispose, DYNLockRows, equals, executePolicyOperation, findPolicyFromPropertyBundleAv, free, free, getAttribute, getAttributeByUpperCaseName, getAuditCertificateName, getAuditDomainContext, getClassData, getClassId, getClassName, getClassObject, getData, getDefinition, getEffectivePolicyActionContexts, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getId, getLibraryConnection, getName, getObjectReferenceAttribute, getPropertyBundle, getPropertyValue, getResourceString, getResourceString, getService, getSession, getSessionInterface, getTraceLogger, handleEvent, hashCode, insertReferenceAttributes, insertRow, insertRows, invalidateState, invokeOperation, invokePolicyMethod, isBroadcastCreateEventEnabled, isInstanceOf, issueCascade, isTraced, lockRows, postEvent, postEvent, postFree, postInsert, postUpdate, preFree, preInsert, preUpdate, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, toString, trace, update, updateRows, verifyCanGetContent, verifyCanSetContent, verifyWriteableTransactionInProgress`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### WORLDGROUP_ID

    protected static final long WORLDGROUP_ID

  Description copied from class: `S_DirectoryGroup`
  ID of the WORLD group.

  See Also:
    Constant Field Values
  (Unpublished)

Constructor Detail

### S_DirectoryGroup

    protected S_DirectoryGroup(S_LibrarySession session,
                               S_LibraryObjectData data)
                        throws IfsException

  Constructs an S_DirectoryGroup.

  Parameters:
    `session` - current LibrarySession
    `data` - Data component
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### S_DirectoryGroup

    protected S_DirectoryGroup(S_LibrarySession session,
                               java.lang.Long classId)
                        throws IfsException

  Constructs an S_DirectoryGroup for the case where the object has not been created in the database yet.

  Parameters:
    `session` - current LibrarySession
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

Method Detail

### getContentQuota

    public S_ContentQuota getContentQuota()
                                   throws IfsException

  Description copied from class: `S_DirectoryGroup`
  Gets the S_ContentQuota for this object.

  Returns:
    the server-side ContentQuota object.
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### isWorldGroup

    protected final boolean isWorldGroup()

  Description copied from class: `S_DirectoryGroup`
  Determines if this group is the world group.

  Returns:
    true is this instance is the World group
  (Unpublished)

### getWorldDirectoryGroup

    public static S_DirectoryGroup getWorldDirectoryGroup(S_LibrarySession session)
                                                   throws IfsException

  Description copied from class: `S_DirectoryGroup`
  Gets the DirectoryGroup that represents World access.

  Parameters:
    `session` - the session
  Returns:
    the World group
  Throws:
    `IfsException` - if operation fails.
  (Published)

### deriveDefinition

    protected void deriveDefinition(S_LibraryObjectDefinition def)
                             throws IfsException

  Description copied from class: `S_DirectoryGroup`
  Adds to the S_LibraryObjectDefinition for this class.

  This this called by getDefinition() on S_LibraryObject.

  This must call super.deriveDefinition() before applying any class-specific changes to S_LibraryObjectDefinition.

  Overrides:
    `deriveDefinition` in class `S_PublicObject`
  Parameters:
    `def` - the S_LibraryObjectDefinition that contains the definition of the target object.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### extendedPreInsert

    protected void extendedPreInsert(OperationState opState,
                                     S_LibraryObjectDefinition def)
                              throws IfsException

  Description copied from class: `S_DirectoryGroup`
  Updates any system attributes appropriate for creating this object; in this case, invoke a name uniqueness enforcement method if specified by a Policy.

  Overrides:
    `extendedPreInsert` in class `S_PublicObject`
  Parameters:
    `opState` - current operation state
    `def` - current object definition to be updated with system attributes
  Throws:
    `IfsException` - if operation fails.
  (Published)

### extendedPreUpdate

    protected void extendedPreUpdate(OperationState opState,
                                     S_LibraryObjectDefinition def)
                              throws IfsException

  Description copied from class: `S_DirectoryGroup`
  Update any system attributes appropriate for updating this ACL

  Overrides:
    `extendedPreUpdate` in class `S_PublicObject`
  Parameters:
    `opState` - current operation state
    `def` - current object definition to be updated with system attributes
  Throws:
    `IfsException` - if operation fails.
  (Published)

### extendedPreFree

    protected void extendedPreFree(OperationState opState,
                                   S_LibraryObjectDefinition def)
                            throws IfsException

  Description copied from class: `S_DirectoryGroup`
  Performs operations before freeing an object.

  This is overridden by classes that need to perform operations after successfully deleting the rows for the freed instance.

  Overrides:
    `extendedPreFree` in class `S_DirectoryObject`
  Parameters:
    `opState` - current operation state
    `def` - current object definition to be updated with system attributes
  Throws:
    `IfsException` - if operation fails.
  (Published)

### checkQuotaSpecification

    protected void checkQuotaSpecification(S_LibraryObjectDefinition def)
                                    throws IfsException

  Description copied from class: `S_DirectoryGroup`
  Checks to see if ContentQuota is specified in the definition. If so, the requestor must be in admin mode.

  Parameters:
    `def` - server-side definition that might contain a ContentQuota specification
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### enforceNameUniquenessByOwner

    public void enforceNameUniquenessByOwner(S_LibraryObjectDefinition def)
                                      throws IfsException

  Description copied from class: `S_DirectoryGroup`
  Perform name uniqueness enforcement, by owner.

  Parameters:
    `def` - current object definition to be updated with system attributes
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### DYNUpdateOwnerBypassUniquenessCheck

    public java.io.Serializable DYNUpdateOwnerBypassUniquenessCheck(java.io.Serializable payload)
                                                             throws IfsException

  Description copied from class: `S_DirectoryGroup`
  Updates the owner and clears the ownerUniqueName attribute. Used by GarbageCollecitonAgent to reset an owner without failing because of a duplicate name. Admin mode must be enabled.

  Parameters:
    `payload` - the id of the new user
  Returns:
    null
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### addMember

    protected void addMember(S_DirectoryObject member)
                      throws IfsException

  Description copied from class: `S_DirectoryGroup`
  Adds a member to the group.

  Parameters:
    `member` - the DirectoryObject to be added to the DirectoryGroup
  Throws:
    `IfsException` - if any other aspect of the operation fails.
  (Unpublished)

### addMember

    public void addMember(S_DirectoryObject member,
                          S_LibraryObjectDefinition sdef)
                   throws IfsException

  Description copied from class: `S_DirectoryGroup`
  Adds a member to a group, using a definition to define the membership relationship.

  Parameters:
    `member` - the DirectoryObject to be added to the DirectoryGroup
    `sdef` - the def for the relationships
  Throws:
    `IfsException` - if any other aspect of the operation fails.
  (Published)

### addMembers

    public void addMembers(S_DirectoryObject[] members)
                    throws IfsException

  Description copied from class: `S_DirectoryGroup`
  Adds members to the group.

  Parameters:
    `members` - the members to be added to the DirectoryGroup
  Throws:
    `IfsException` - if any other aspect of the operation fails.
  (Published)

### addMembers

    public void addMembers(S_DirectoryObject[] members,
                           S_LibraryObjectDefinition reldef)
                    throws IfsException

  Description copied from class: `S_DirectoryGroup`
  Adds members to the group.

  Parameters:
    `members` - the members to be added to the DirectoryGroup
    `reldef` - the def for the relationships
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### removeMember

    public void removeMember(S_DirectoryObject member)
                      throws IfsException

  Description copied from class: `S_DirectoryGroup`
  Removes a member from the group.

  Parameters:
    `member` - the member to be removed from the group
  Throws:
    `IfsException` - if operation fails
  (Published)

### removeMember

    public void removeMember(S_DirectoryObject member,
                             boolean bypass)
                      throws IfsException

  Description copied from class: `S_DirectoryGroup`
  Removes a member from the group.

  Parameters:
    `member` - the member to be removed from the group
    `bypass` - true if security is to be bypassed
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### removeMembers

    public void removeMembers(S_DirectoryObject[] members)
                       throws IfsException

  Description copied from class: `S_DirectoryGroup`
  Removes members from the group.

  Parameters:
    `members` - the members to be removed from the group
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### removeMembers

    public void removeMembers(S_DirectoryObject[] members,
                              boolean bypass)
                       throws IfsException

  Description copied from class: `S_DirectoryGroup`
  Removes members from a group.

  Parameters:
    `members` - members to be removed from the DirectoryGroup
    `bypass` - true if security is to be bypassed
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### getAllMembers

    public S_DirectoryObject[] getAllMembers()
                                      throws IfsException

  Description copied from class: `S_DirectoryGroup`
  Gets all members of the group, direct or indirect.

  Overrides:
    `getAllMembers` in class `S_DirectoryObject`
  Returns:
    array of S_DirectoryObject representing group members
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getAllUserMembers

    public S_DirectoryObject[] getAllUserMembers()
                                          throws IfsException

  Description copied from class: `S_DirectoryGroup`
  Gets all user members of the group, direct or indirect.

  Returns:
    array of S_DirectoryObject representing user members
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getAllMemberIds

    protected java.lang.Long[] getAllMemberIds()
                                        throws IfsException

  Description copied from class: `S_DirectoryGroup`
  Gets the set of all IDs that are members (direct or indirect) of this group.

  Returns:
    array of member object Ids
  Throws:
    `IfsException` - if the operation fails.
  (Unpublished)

### getAllUserMemberIds

    protected java.lang.Long[] getAllUserMemberIds()
                                            throws IfsException

  Description copied from class: `S_DirectoryGroup`
  Gets the set of all IDs that are user members (direct or indirect) of this group.

  Returns:
    array of user member object Ids
  Throws:
    `IfsException` - if the operation fails.
  (Unpublished)

### isMember

    public boolean isMember(S_DirectoryObject obj)
                     throws IfsException

  Description copied from class: `S_DirectoryGroup`
  Determines if the specified DirectoryObject is a member of the group.

  Parameters:
    `obj` - the DirectoryObject
  Returns:
    true if the specified DirectoryObject is a member of the group; false otherwise
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getDirectMembers

    public S_DirectoryObject[] getDirectMembers()
                                         throws IfsException

  Description copied from class: `S_DirectoryGroup`
  Gets the direct members of this DIRECTORYOBJECT.

  Overrides:
    `getDirectMembers` in class `S_DirectoryObject`
  Returns:
    array of S_DirectoryObject
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getDirectMemberIds

    public java.lang.Long[] getDirectMemberIds()
                                        throws IfsException

  Description copied from class: `S_DirectoryGroup`
  Gets the direct members of this group.

  Returns:
    array of IDs
  Throws:
    `IfsException` - if the operation fails
  (Published)

### isDirectMember

    public boolean isDirectMember(S_DirectoryObject obj)
                           throws IfsException

  Description copied from class: `S_DirectoryGroup`
  Determines if the specified DirectoryObject is a direct member of the group.

  Parameters:
    `obj` - the DirectoryObject
  Returns:
    true if the specified DirectoryObject is a direct member of the group; false otherwise
  Throws:
    `IfsException` - if the operation fails
  (Published)

### verifyCanAddMember

    protected void verifyCanAddMember()
                               throws IfsException

  Description copied from class: `S_DirectoryGroup`
  Verifies that members can be added to the group.

  This requires that the user have AddMember access on the group.

  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### verifyCanRemoveMember

    protected void verifyCanRemoveMember()
                                  throws IfsException

  Description copied from class: `S_DirectoryGroup`
  Verifies that members can be removed from the group.

  This requires that the user have RemoveMember access on the group.

  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### verifyCanBeMember

    protected void verifyCanBeMember()
                              throws IfsException

  Description copied from class: `S_DirectoryGroup`
  Verifies that this instance can be a member of a group.

  Overrides:
    `verifyCanBeMember` in class `S_DirectoryObject`
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### canUseContentQuota

    protected boolean canUseContentQuota(S_ContentQuota quota)
                                  throws IfsException

  Description copied from class: `S_DirectoryGroup`
  Returns true if the current user can use the specified ContentQuota object. The target object is the object that is associated with the specified quota object.

  Overrides:
    `canUseContentQuota` in class `S_PublicObject`
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD